Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface ServicedefPackage.Literals

Enclosing interface:
  ServicedefPackage

    public static interface ServicedefPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `AND_FEATURE_CONSTRAINT` The meta object literal for the '`AND Feature Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `AND_PARAM_CONSTRAINT` The meta object literal for the '`AND Param Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `AND_VALUE_CONSTRAINT` The meta object literal for the '`AND Value Constraint`' class
`static org.eclipse.emf.ecore.EEnum` | `AUTH_LEVEL_ENUM` The meta object literal for the '`Auth Level Enum`' enum
`static org.eclipse.emf.ecore.EClass` | `BASE_TYPES` The meta object literal for the '`Base Types`' class
`static org.eclipse.emf.ecore.EReference` | `BASE_TYPES__BASE_TYPES` The meta object literal for the 'Base Types' containment reference list feature
`static org.eclipse.emf.ecore.EEnum` | `CHANNEL_SECURITY_LEVEL_ENUM` The meta object literal for the '`Channel Security Level Enum`' enum
`static org.eclipse.emf.ecore.EClass` | `COMPOSITE_FEATURE_CONSTRAINT` The meta object literal for the '`Composite Feature Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `COMPOSITE_PARAM_CONSTRAINT` The meta object literal for the '`Composite Param Constraint`' class
`static org.eclipse.emf.ecore.EReference` | `COMPOSITE_PARAM_CONSTRAINT__COMPONENT` The meta object literal for the 'Component' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `COMPOSITE_VALUE_CONSTRAINT` The meta object literal for the '`Composite Value Constraint`' class
`static org.eclipse.emf.ecore.EReference` | `COMPOSITE_VALUE_CONSTRAINT__COMPONENT` The meta object literal for the 'Component' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `CONTINUOUS_RANGE_CONSTRAINT` The meta object literal for the '`Continuous Range Constraint`' class
`static org.eclipse.emf.ecore.EAttribute` | `CONTINUOUS_RANGE_CONSTRAINT__LOWERBOUND` The meta object literal for the 'Lowerbound' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `CONTINUOUS_RANGE_CONSTRAINT__UPPERBOUND` The meta object literal for the 'Upperbound' attribute feature
`static org.eclipse.emf.ecore.EClass` | `CUSTOM_CONSTRAINT` The meta object literal for the '`Custom Constraint`' class
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_CONSTRAINT__CHECK_METHOD_NAME` The meta object literal for the 'Check Method Name' attribute feature
`static org.eclipse.emf.ecore.EClass` | `DISCRETE_RANGE_CONSTRAINT` The meta object literal for the '`Discrete Range Constraint`' class
`static org.eclipse.emf.ecore.EAttribute` | `DISCRETE_RANGE_CONSTRAINT__LITERALS` The meta object literal for the 'Literals' attribute list feature
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE` The meta object literal for the 'Service' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `EJBPA_BINDING` The meta object literal for the '`EJBPA Binding`' class
`static org.eclipse.emf.ecore.EClass` | `FEATURE_CONSTRAINT` The meta object literal for the '`Feature Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `INPUT_VALIDATOR` The meta object literal for the '`Input Validator`' class
`static org.eclipse.emf.ecore.EReference` | `INPUT_VALIDATOR__CONSTRAINT` The meta object literal for the 'Constraint' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `NOT_FEATURE_CONSTRAINT` The meta object literal for the '`NOT Feature Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `NOT_PARAM_CONSTRAINT` The meta object literal for the '`NOT Param Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `NOT_VALUE_CONSTRAINT` The meta object literal for the '`NOT Value Constraint`' class
`static org.eclipse.emf.ecore.EEnum` | `OP_TYPE_ENUM` The meta object literal for the '`Op Type Enum`' enum
`static org.eclipse.emf.ecore.EClass` | `OPERATION` The meta object literal for the '`Operation`' class
`static org.eclipse.emf.ecore.EReference` | `OPERATION__AUTHORIZED_ROLES` The meta object literal for the 'Authorized Roles' reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `OPERATION__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `OPERATION__OP_TYPE` The meta object literal for the 'Op Type' attribute feature
`static org.eclipse.emf.ecore.EReference` | `OPERATION__PARAMS` The meta object literal for the 'Params' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `OPERATION__RETURN_TYPE` The meta object literal for the 'Return Type' reference feature
`static org.eclipse.emf.ecore.EAttribute` | `OPERATION__SINCE` The meta object literal for the 'Since' attribute feature
`static org.eclipse.emf.ecore.EReference` | `OPERATION__THROWS` The meta object literal for the 'Throws' reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `OPERATION__TX_TYPE` The meta object literal for the 'Tx Type' attribute feature
`static org.eclipse.emf.ecore.EReference` | `OPERATION__VALIDATOR` The meta object literal for the 'Validator' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `OR_FEATURE_CONSTRAINT` The meta object literal for the '`OR Feature Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `OR_PARAM_CONSTRAINT` The meta object literal for the '`OR Param Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `OR_VALUE_CONSTRAINT` The meta object literal for the '`OR Value Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `PARAM` The meta object literal for the '`Param`' class
`static org.eclipse.emf.ecore.EReference` | `PARAM__CONSTRAINT` The meta object literal for the 'Constraint' reference feature
`static org.eclipse.emf.ecore.EAttribute` | `PARAM__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` | `PARAM__TYPE` The meta object literal for the 'Type' reference feature
`static org.eclipse.emf.ecore.EReference` | `PARAM__VALIDATOR` The meta object literal for the 'Validator' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `PARAM_CONSTRAINT` The meta object literal for the '`Param Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `PARAM_VALIDATOR` The meta object literal for the '`Param Validator`' class
`static org.eclipse.emf.ecore.EReference` | `PARAM_VALIDATOR__CONSTRAINT` The meta object literal for the 'Constraint' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `RELATIVE_CONSTRAINT` The meta object literal for the '`Relative Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `ROLE` The meta object literal for the '`Role`' class
`static org.eclipse.emf.ecore.EAttribute` | `ROLE__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EClass` | `SD_ANNOTATION_DETAIL` The meta object literal for the '`SD Annotation Detail`' class
`static org.eclipse.emf.ecore.EAttribute` | `SD_ANNOTATION_DETAIL__KEY` The meta object literal for the 'Key' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SD_ANNOTATION_DETAIL__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EClass` | `SERVICE_BINDING` The meta object literal for the '`Service Binding`' class
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_BINDING__CHANNEL_SECURITY_LEVEL` The meta object literal for the 'Channel Security Level' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_BINDING__COD_BINDING` The meta object literal for the 'Cod Binding' attribute feature
`static org.eclipse.emf.ecore.EClass` | `SERVICE_DEF` The meta object literal for the '`Service Def`' class
`static org.eclipse.emf.ecore.EReference` | `SERVICE_DEF__ANNOTATIONS` The meta object literal for the 'Annotations' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__AUTH_LEVEL` The meta object literal for the 'Auth Level' attribute feature
`static org.eclipse.emf.ecore.EReference` | `SERVICE_DEF__BINDINGS` The meta object literal for the 'Bindings' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__COD_COMPONENTE` The meta object literal for the 'Cod Componente' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__COD_PRODOTTO` The meta object literal for the 'Cod Prodotto' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__COD_SERVIZIO` The meta object literal for the 'Cod Servizio' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__DIAG_ENABLED` The meta object literal for the 'Diag Enabled' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__MONITORABLE` The meta object literal for the 'Monitorable' attribute feature
`static org.eclipse.emf.ecore.EReference` | `SERVICE_DEF__OPERATIONS` The meta object literal for the 'Operations' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `SERVICE_DEF__ROLES` The meta object literal for the 'Roles' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__SERVICE_TYPE` The meta object literal for the 'Service Type' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__TRACE_ENABLED` The meta object literal for the 'Trace Enabled' attribute feature
`static org.eclipse.emf.ecore.EReference` | `SERVICE_DEF__TYPES` The meta object literal for the 'Types' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF__VERSIONE` The meta object literal for the 'Versione' attribute feature
`static org.eclipse.emf.ecore.EClass` | `SERVICE_DEF_ANNOTATION` The meta object literal for the '`Service Def Annotation`' class
`static org.eclipse.emf.ecore.EReference` | `SERVICE_DEF_ANNOTATION__DETAILS` The meta object literal for the 'Details' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_DEF_ANNOTATION__SOURCE` The meta object literal for the 'Source' attribute feature
`static org.eclipse.emf.ecore.EClass` | `SIMPLE_FEATURE_CONSTRAINT` The meta object literal for the '`Simple Feature Constraint`' class
`static org.eclipse.emf.ecore.EReference` | `SIMPLE_FEATURE_CONSTRAINT__CONSTRAINT` The meta object literal for the 'Constraint' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `SIMPLE_FEATURE_CONSTRAINT__ENTITY` The meta object literal for the 'Entity' reference feature
`static org.eclipse.emf.ecore.EReference` | `SIMPLE_FEATURE_CONSTRAINT__FEATURE` The meta object literal for the 'Feature' reference feature
`static org.eclipse.emf.ecore.EClass` | `SIMPLE_PARAM_COINSTRAINT` The meta object literal for the '`Simple Param Coinstraint`' class
`static org.eclipse.emf.ecore.EReference` | `SIMPLE_PARAM_COINSTRAINT__CONSTRAINT` The meta object literal for the 'Constraint' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `SIMPLE_PARAM_COINSTRAINT__PARAM` The meta object literal for the 'Param' reference feature
`static org.eclipse.emf.ecore.EClass` | `SIMPLE_VALUE_CONSTRAINT` The meta object literal for the '`Simple Value Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `SOAPPABR_BINDING` The meta object literal for the '`SOAPPABR Binding`' class
`static org.eclipse.emf.ecore.EEnum` | `SRV_TYPE_ENUM` The meta object literal for the '`Srv Type Enum`' enum
`static org.eclipse.emf.ecore.EEnum` | `TX_TYPE_ENUM` The meta object literal for the '`TX Type Enum`' enum
`static org.eclipse.emf.ecore.EClass` | `TYPES` The meta object literal for the '`Types`' class
`static org.eclipse.emf.ecore.EReference` | `TYPES__TYPES` The meta object literal for the 'Types' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `VALUE_CONSTRAINT` The meta object literal for the '`Value Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `VALUE_RANGE_CONSTRAINT` The meta object literal for the '`Value Range Constraint`' class
`static org.eclipse.emf.ecore.EClass` | `VALUE_VALORIZATION_CONSTRAINT` The meta object literal for the '`Value Valorization Constraint`' class
`static org.eclipse.emf.ecore.EAttribute` | `VALUE_VALORIZATION_CONSTRAINT__MUST_NOT_BE_NULL` The meta object literal for the 'Must Not Be Null' attribute feature
`static org.eclipse.emf.ecore.EClass` | `WS_BINDING` The meta object literal for the '`WS Binding`' class
`static org.eclipse.emf.ecore.EReference` | `WS_BINDING__ENDPOINTS` The meta object literal for the 'Endpoints' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `WS_ENCRYPT` The meta object literal for the '`WS Encrypt`' class
`static org.eclipse.emf.ecore.EClass` | `WS_ENDPOINT` The meta object literal for the '`WS Endpoint`' class
`static org.eclipse.emf.ecore.EAttribute` | `WS_ENDPOINT__CODE` The meta object literal for the 'Code' attribute feature
`static org.eclipse.emf.ecore.EReference` | `WS_ENDPOINT__IN_CHANNEL` The meta object literal for the 'In Channel' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `WS_ENDPOINT__OUT_CHANNEL` The meta object literal for the 'Out Channel' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `WS_ENDPOINT_CHANNEL` The meta object literal for the '`WS Endpoint Channel`' class
`static org.eclipse.emf.ecore.EReference` | `WS_ENDPOINT_CHANNEL__WS_SECURITY` The meta object literal for the 'Ws Security' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `WS_SECURITY_SPEC` The meta object literal for the '`WS Security Spec`' class
`static org.eclipse.emf.ecore.EClass` | `WS_SIGNATURE` The meta object literal for the '`WS Signature`' class
`static org.eclipse.emf.ecore.EClass` | `WS_TIMESTAMP` The meta object literal for the '`WS Timestamp`' class
`static org.eclipse.emf.ecore.EClass` | `WS_USERNAME_TOKEN_AUTH` The meta object literal for the '`WS Username Token Auth`' class
`static org.eclipse.emf.ecore.EClass` | `WSFAD_BINDING` The meta object literal for the '`WSFAD Binding`' class

Field Detail

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `ServicedefPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__SERVICE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE

  The meta object literal for the 'Service' containment reference list feature.

### SERVICE_DEF

    static final org.eclipse.emf.ecore.EClass SERVICE_DEF

  The meta object literal for the '`Service Def`' class.

  See Also:
    `ServiceDefImpl`, `ServicedefPackageImpl.getServiceDef()`

### SERVICE_DEF__COD_SERVIZIO

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__COD_SERVIZIO

  The meta object literal for the 'Cod Servizio' attribute feature.

### SERVICE_DEF__BINDINGS

    static final org.eclipse.emf.ecore.EReference SERVICE_DEF__BINDINGS

  The meta object literal for the 'Bindings' containment reference list feature.

### SERVICE_DEF__MONITORABLE

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__MONITORABLE

  The meta object literal for the 'Monitorable' attribute feature.

### SERVICE_DEF__DIAG_ENABLED

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__DIAG_ENABLED

  The meta object literal for the 'Diag Enabled' attribute feature.

### SERVICE_DEF__OPERATIONS

    static final org.eclipse.emf.ecore.EReference SERVICE_DEF__OPERATIONS

  The meta object literal for the 'Operations' containment reference list feature.

### SERVICE_DEF__VERSIONE

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__VERSIONE

  The meta object literal for the 'Versione' attribute feature.

### SERVICE_DEF__TYPES

    static final org.eclipse.emf.ecore.EReference SERVICE_DEF__TYPES

  The meta object literal for the 'Types' containment reference feature.

### SERVICE_DEF__TRACE_ENABLED

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__TRACE_ENABLED

  The meta object literal for the 'Trace Enabled' attribute feature.

### SERVICE_DEF__SERVICE_TYPE

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__SERVICE_TYPE

  The meta object literal for the 'Service Type' attribute feature.

### SERVICE_DEF__AUTH_LEVEL

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__AUTH_LEVEL

  The meta object literal for the 'Auth Level' attribute feature.

### SERVICE_DEF__ROLES

    static final org.eclipse.emf.ecore.EReference SERVICE_DEF__ROLES

  The meta object literal for the 'Roles' containment reference list feature.

### SERVICE_DEF__COD_PRODOTTO

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__COD_PRODOTTO

  The meta object literal for the 'Cod Prodotto' attribute feature.

### SERVICE_DEF__COD_COMPONENTE

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF__COD_COMPONENTE

  The meta object literal for the 'Cod Componente' attribute feature.

### SERVICE_DEF__ANNOTATIONS

    static final org.eclipse.emf.ecore.EReference SERVICE_DEF__ANNOTATIONS

  The meta object literal for the 'Annotations' containment reference list feature.

### SERVICE_BINDING

    static final org.eclipse.emf.ecore.EClass SERVICE_BINDING

  The meta object literal for the '`Service Binding`' class.

  See Also:
    `ServiceBindingImpl`, `ServicedefPackageImpl.getServiceBinding()`

### SERVICE_BINDING__COD_BINDING

    static final org.eclipse.emf.ecore.EAttribute SERVICE_BINDING__COD_BINDING

  The meta object literal for the 'Cod Binding' attribute feature.

### SERVICE_BINDING__CHANNEL_SECURITY_LEVEL

    static final org.eclipse.emf.ecore.EAttribute SERVICE_BINDING__CHANNEL_SECURITY_LEVEL

  The meta object literal for the 'Channel Security Level' attribute feature.

### EJBPA_BINDING

    static final org.eclipse.emf.ecore.EClass EJBPA_BINDING

  The meta object literal for the '`EJBPA Binding`' class.

  See Also:
    `EJBPABindingImpl`, `ServicedefPackageImpl.getEJBPABinding()`

### SOAPPABR_BINDING

    static final org.eclipse.emf.ecore.EClass SOAPPABR_BINDING

  The meta object literal for the '`SOAPPABR Binding`' class.

  See Also:
    `SOAPPABRBindingImpl`, `ServicedefPackageImpl.getSOAPPABRBinding()`

### WSFAD_BINDING

    static final org.eclipse.emf.ecore.EClass WSFAD_BINDING

  The meta object literal for the '`WSFAD Binding`' class.

  See Also:
    `WSFADBindingImpl`, `ServicedefPackageImpl.getWSFADBinding()`

### WS_BINDING

    static final org.eclipse.emf.ecore.EClass WS_BINDING

  The meta object literal for the '`WS Binding`' class.

  See Also:
    `WSBindingImpl`, `ServicedefPackageImpl.getWSBinding()`

### WS_BINDING__ENDPOINTS

    static final org.eclipse.emf.ecore.EReference WS_BINDING__ENDPOINTS

  The meta object literal for the 'Endpoints' containment reference list feature.

### OPERATION

    static final org.eclipse.emf.ecore.EClass OPERATION

  The meta object literal for the '`Operation`' class.

  See Also:
    `OperationImpl`, `ServicedefPackageImpl.getOperation()`

### OPERATION__NAME

    static final org.eclipse.emf.ecore.EAttribute OPERATION__NAME

  The meta object literal for the 'Name' attribute feature.

### OPERATION__PARAMS

    static final org.eclipse.emf.ecore.EReference OPERATION__PARAMS

  The meta object literal for the 'Params' containment reference list feature.

### OPERATION__OP_TYPE

    static final org.eclipse.emf.ecore.EAttribute OPERATION__OP_TYPE

  The meta object literal for the 'Op Type' attribute feature.

### OPERATION__RETURN_TYPE

    static final org.eclipse.emf.ecore.EReference OPERATION__RETURN_TYPE

  The meta object literal for the 'Return Type' reference feature.

### OPERATION__THROWS

    static final org.eclipse.emf.ecore.EReference OPERATION__THROWS

  The meta object literal for the 'Throws' reference list feature.

### OPERATION__TX_TYPE

    static final org.eclipse.emf.ecore.EAttribute OPERATION__TX_TYPE

  The meta object literal for the 'Tx Type' attribute feature.

### OPERATION__SINCE

    static final org.eclipse.emf.ecore.EAttribute OPERATION__SINCE

  The meta object literal for the 'Since' attribute feature.

### OPERATION__AUTHORIZED_ROLES

    static final org.eclipse.emf.ecore.EReference OPERATION__AUTHORIZED_ROLES

  The meta object literal for the 'Authorized Roles' reference list feature.

### OPERATION__VALIDATOR

    static final org.eclipse.emf.ecore.EReference OPERATION__VALIDATOR

  The meta object literal for the 'Validator' containment reference feature.

### PARAM

    static final org.eclipse.emf.ecore.EClass PARAM

  The meta object literal for the '`Param`' class.

  See Also:
    `ParamImpl`, `ServicedefPackageImpl.getParam()`

### PARAM__NAME

    static final org.eclipse.emf.ecore.EAttribute PARAM__NAME

  The meta object literal for the 'Name' attribute feature.

### PARAM__TYPE

    static final org.eclipse.emf.ecore.EReference PARAM__TYPE

  The meta object literal for the 'Type' reference feature.

### PARAM__VALIDATOR

    static final org.eclipse.emf.ecore.EReference PARAM__VALIDATOR

  The meta object literal for the 'Validator' containment reference feature.

### PARAM__CONSTRAINT

    static final org.eclipse.emf.ecore.EReference PARAM__CONSTRAINT

  The meta object literal for the 'Constraint' reference feature.

### TYPES

    static final org.eclipse.emf.ecore.EClass TYPES

  The meta object literal for the '`Types`' class.

  See Also:
    `TypesImpl`, `ServicedefPackageImpl.getTypes()`

### TYPES__TYPES

    static final org.eclipse.emf.ecore.EReference TYPES__TYPES

  The meta object literal for the 'Types' containment reference list feature.

### BASE_TYPES

    static final org.eclipse.emf.ecore.EClass BASE_TYPES

  The meta object literal for the '`Base Types`' class.

  See Also:
    `BaseTypesImpl`, `ServicedefPackageImpl.getBaseTypes()`

### BASE_TYPES__BASE_TYPES

    static final org.eclipse.emf.ecore.EReference BASE_TYPES__BASE_TYPES

  The meta object literal for the 'Base Types' containment reference list feature.

### ROLE

    static final org.eclipse.emf.ecore.EClass ROLE

  The meta object literal for the '`Role`' class.

  See Also:
    `RoleImpl`, `ServicedefPackageImpl.getRole()`

### ROLE__NAME

    static final org.eclipse.emf.ecore.EAttribute ROLE__NAME

  The meta object literal for the 'Name' attribute feature.

### INPUT_VALIDATOR

    static final org.eclipse.emf.ecore.EClass INPUT_VALIDATOR

  The meta object literal for the '`Input Validator`' class.

  See Also:
    `InputValidatorImpl`, `ServicedefPackageImpl.getInputValidator()`

### INPUT_VALIDATOR__CONSTRAINT

    static final org.eclipse.emf.ecore.EReference INPUT_VALIDATOR__CONSTRAINT

  The meta object literal for the 'Constraint' containment reference feature.

### PARAM_VALIDATOR

    static final org.eclipse.emf.ecore.EClass PARAM_VALIDATOR

  The meta object literal for the '`Param Validator`' class.

  See Also:
    `ParamValidatorImpl`, `ServicedefPackageImpl.getParamValidator()`

### PARAM_VALIDATOR__CONSTRAINT

    static final org.eclipse.emf.ecore.EReference PARAM_VALIDATOR__CONSTRAINT

  The meta object literal for the 'Constraint' containment reference feature.

### VALUE_RANGE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass VALUE_RANGE_CONSTRAINT

  The meta object literal for the '`Value Range Constraint`' class.

  See Also:
    `ValueRangeConstraintImpl`, `ServicedefPackageImpl.getValueRangeConstraint()`

### VALUE_VALORIZATION_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass VALUE_VALORIZATION_CONSTRAINT

  The meta object literal for the '`Value Valorization Constraint`' class.

  See Also:
    `ValueValorizationConstraintImpl`, `ServicedefPackageImpl.getValueValorizationConstraint()`

### VALUE_VALORIZATION_CONSTRAINT__MUST_NOT_BE_NULL

    static final org.eclipse.emf.ecore.EAttribute VALUE_VALORIZATION_CONSTRAINT__MUST_NOT_BE_NULL

  The meta object literal for the 'Must Not Be Null' attribute feature.

### CUSTOM_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass CUSTOM_CONSTRAINT

  The meta object literal for the '`Custom Constraint`' class.

  See Also:
    `CustomConstraintImpl`, `ServicedefPackageImpl.getCustomConstraint()`

### CUSTOM_CONSTRAINT__CHECK_METHOD_NAME

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_CONSTRAINT__CHECK_METHOD_NAME

  The meta object literal for the 'Check Method Name' attribute feature.

### RELATIVE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass RELATIVE_CONSTRAINT

  The meta object literal for the '`Relative Constraint`' class.

  See Also:
    `RelativeConstraintImpl`, `ServicedefPackageImpl.getRelativeConstraint()`

### VALUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass VALUE_CONSTRAINT

  The meta object literal for the '`Value Constraint`' class.

  See Also:
    `ValueConstraintImpl`, `ServicedefPackageImpl.getValueConstraint()`

### SIMPLE_PARAM_COINSTRAINT

    static final org.eclipse.emf.ecore.EClass SIMPLE_PARAM_COINSTRAINT

  The meta object literal for the '`Simple Param Coinstraint`' class.

  See Also:
    `SimpleParamCoinstraintImpl`, `ServicedefPackageImpl.getSimpleParamCoinstraint()`

### SIMPLE_PARAM_COINSTRAINT__PARAM

    static final org.eclipse.emf.ecore.EReference SIMPLE_PARAM_COINSTRAINT__PARAM

  The meta object literal for the 'Param' reference feature.

### SIMPLE_PARAM_COINSTRAINT__CONSTRAINT

    static final org.eclipse.emf.ecore.EReference SIMPLE_PARAM_COINSTRAINT__CONSTRAINT

  The meta object literal for the 'Constraint' containment reference feature.

### COMPOSITE_PARAM_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass COMPOSITE_PARAM_CONSTRAINT

  The meta object literal for the '`Composite Param Constraint`' class.

  See Also:
    `CompositeParamConstraintImpl`, `ServicedefPackageImpl.getCompositeParamConstraint()`

### COMPOSITE_PARAM_CONSTRAINT__COMPONENT

    static final org.eclipse.emf.ecore.EReference COMPOSITE_PARAM_CONSTRAINT__COMPONENT

  The meta object literal for the 'Component' containment reference list feature.

### AND_PARAM_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass AND_PARAM_CONSTRAINT

  The meta object literal for the '`AND Param Constraint`' class.

  See Also:
    `ANDParamConstraintImpl`, `ServicedefPackageImpl.getANDParamConstraint()`

### OR_PARAM_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass OR_PARAM_CONSTRAINT

  The meta object literal for the '`OR Param Constraint`' class.

  See Also:
    `ORParamConstraintImpl`, `ServicedefPackageImpl.getORParamConstraint()`

### PARAM_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass PARAM_CONSTRAINT

  The meta object literal for the '`Param Constraint`' class.

  See Also:
    `ParamConstraintImpl`, `ServicedefPackageImpl.getParamConstraint()`

### NOT_PARAM_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass NOT_PARAM_CONSTRAINT

  The meta object literal for the '`NOT Param Constraint`' class.

  See Also:
    `NOTParamConstraintImpl`, `ServicedefPackageImpl.getNOTParamConstraint()`

### COMPOSITE_VALUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass COMPOSITE_VALUE_CONSTRAINT

  The meta object literal for the '`Composite Value Constraint`' class.

  See Also:
    `CompositeValueConstraintImpl`, `ServicedefPackageImpl.getCompositeValueConstraint()`

### COMPOSITE_VALUE_CONSTRAINT__COMPONENT

    static final org.eclipse.emf.ecore.EReference COMPOSITE_VALUE_CONSTRAINT__COMPONENT

  The meta object literal for the 'Component' containment reference list feature.

### AND_VALUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass AND_VALUE_CONSTRAINT

  The meta object literal for the '`AND Value Constraint`' class.

  See Also:
    `ANDValueConstraintImpl`, `ServicedefPackageImpl.getANDValueConstraint()`

### OR_VALUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass OR_VALUE_CONSTRAINT

  The meta object literal for the '`OR Value Constraint`' class.

  See Also:
    `ORValueConstraintImpl`, `ServicedefPackageImpl.getORValueConstraint()`

### NOT_VALUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass NOT_VALUE_CONSTRAINT

  The meta object literal for the '`NOT Value Constraint`' class.

  See Also:
    `NOTValueConstraintImpl`, `ServicedefPackageImpl.getNOTValueConstraint()`

### SIMPLE_VALUE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass SIMPLE_VALUE_CONSTRAINT

  The meta object literal for the '`Simple Value Constraint`' class.

  See Also:
    `SimpleValueConstraintImpl`, `ServicedefPackageImpl.getSimpleValueConstraint()`

### CONTINUOUS_RANGE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass CONTINUOUS_RANGE_CONSTRAINT

  The meta object literal for the '`Continuous Range Constraint`' class.

  See Also:
    `ContinuousRangeConstraintImpl`, `ServicedefPackageImpl.getContinuousRangeConstraint()`

### CONTINUOUS_RANGE_CONSTRAINT__LOWERBOUND

    static final org.eclipse.emf.ecore.EAttribute CONTINUOUS_RANGE_CONSTRAINT__LOWERBOUND

  The meta object literal for the 'Lowerbound' attribute feature.

### CONTINUOUS_RANGE_CONSTRAINT__UPPERBOUND

    static final org.eclipse.emf.ecore.EAttribute CONTINUOUS_RANGE_CONSTRAINT__UPPERBOUND

  The meta object literal for the 'Upperbound' attribute feature.

### DISCRETE_RANGE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass DISCRETE_RANGE_CONSTRAINT

  The meta object literal for the '`Discrete Range Constraint`' class.

  See Also:
    `DiscreteRangeConstraintImpl`, `ServicedefPackageImpl.getDiscreteRangeConstraint()`

### DISCRETE_RANGE_CONSTRAINT__LITERALS

    static final org.eclipse.emf.ecore.EAttribute DISCRETE_RANGE_CONSTRAINT__LITERALS

  The meta object literal for the 'Literals' attribute list feature.

### FEATURE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass FEATURE_CONSTRAINT

  The meta object literal for the '`Feature Constraint`' class.

  See Also:
    `FeatureConstraintImpl`, `ServicedefPackageImpl.getFeatureConstraint()`

### COMPOSITE_FEATURE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass COMPOSITE_FEATURE_CONSTRAINT

  The meta object literal for the '`Composite Feature Constraint`' class.

  See Also:
    `CompositeFeatureConstraintImpl`, `ServicedefPackageImpl.getCompositeFeatureConstraint()`

### SIMPLE_FEATURE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass SIMPLE_FEATURE_CONSTRAINT

  The meta object literal for the '`Simple Feature Constraint`' class.

  See Also:
    `SimpleFeatureConstraintImpl`, `ServicedefPackageImpl.getSimpleFeatureConstraint()`

### SIMPLE_FEATURE_CONSTRAINT__CONSTRAINT

    static final org.eclipse.emf.ecore.EReference SIMPLE_FEATURE_CONSTRAINT__CONSTRAINT

  The meta object literal for the 'Constraint' containment reference feature.

### SIMPLE_FEATURE_CONSTRAINT__ENTITY

    static final org.eclipse.emf.ecore.EReference SIMPLE_FEATURE_CONSTRAINT__ENTITY

  The meta object literal for the 'Entity' reference feature.

### SIMPLE_FEATURE_CONSTRAINT__FEATURE

    static final org.eclipse.emf.ecore.EReference SIMPLE_FEATURE_CONSTRAINT__FEATURE

  The meta object literal for the 'Feature' reference feature.

### AND_FEATURE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass AND_FEATURE_CONSTRAINT

  The meta object literal for the '`AND Feature Constraint`' class.

  See Also:
    `ANDFeatureConstraintImpl`, `ServicedefPackageImpl.getANDFeatureConstraint()`

### OR_FEATURE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass OR_FEATURE_CONSTRAINT

  The meta object literal for the '`OR Feature Constraint`' class.

  See Also:
    `ORFeatureConstraintImpl`, `ServicedefPackageImpl.getORFeatureConstraint()`

### NOT_FEATURE_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass NOT_FEATURE_CONSTRAINT

  The meta object literal for the '`NOT Feature Constraint`' class.

  See Also:
    `NOTFeatureConstraintImpl`, `ServicedefPackageImpl.getNOTFeatureConstraint()`

### SERVICE_DEF_ANNOTATION

    static final org.eclipse.emf.ecore.EClass SERVICE_DEF_ANNOTATION

  The meta object literal for the '`Service Def Annotation`' class.

  See Also:
    `ServiceDefAnnotationImpl`, `ServicedefPackageImpl.getServiceDefAnnotation()`

### SERVICE_DEF_ANNOTATION__SOURCE

    static final org.eclipse.emf.ecore.EAttribute SERVICE_DEF_ANNOTATION__SOURCE

  The meta object literal for the 'Source' attribute feature.

### SERVICE_DEF_ANNOTATION__DETAILS

    static final org.eclipse.emf.ecore.EReference SERVICE_DEF_ANNOTATION__DETAILS

  The meta object literal for the 'Details' containment reference list feature.

### SD_ANNOTATION_DETAIL

    static final org.eclipse.emf.ecore.EClass SD_ANNOTATION_DETAIL

  The meta object literal for the '`SD Annotation Detail`' class.

  See Also:
    `SDAnnotationDetailImpl`, `ServicedefPackageImpl.getSDAnnotationDetail()`

### SD_ANNOTATION_DETAIL__KEY

    static final org.eclipse.emf.ecore.EAttribute SD_ANNOTATION_DETAIL__KEY

  The meta object literal for the 'Key' attribute feature.

### SD_ANNOTATION_DETAIL__VALUE

    static final org.eclipse.emf.ecore.EAttribute SD_ANNOTATION_DETAIL__VALUE

  The meta object literal for the 'Value' attribute feature.

### WS_ENDPOINT

    static final org.eclipse.emf.ecore.EClass WS_ENDPOINT

  The meta object literal for the '`WS Endpoint`' class.

  See Also:
    `WSEndpointImpl`, `ServicedefPackageImpl.getWSEndpoint()`

### WS_ENDPOINT__CODE

    static final org.eclipse.emf.ecore.EAttribute WS_ENDPOINT__CODE

  The meta object literal for the 'Code' attribute feature.

### WS_ENDPOINT__IN_CHANNEL

    static final org.eclipse.emf.ecore.EReference WS_ENDPOINT__IN_CHANNEL

  The meta object literal for the 'In Channel' containment reference feature.

### WS_ENDPOINT__OUT_CHANNEL

    static final org.eclipse.emf.ecore.EReference WS_ENDPOINT__OUT_CHANNEL

  The meta object literal for the 'Out Channel' containment reference feature.

### WS_SECURITY_SPEC

    static final org.eclipse.emf.ecore.EClass WS_SECURITY_SPEC

  The meta object literal for the '`WS Security Spec`' class.

  See Also:
    `WSSecuritySpecImpl`, `ServicedefPackageImpl.getWSSecuritySpec()`

### WS_USERNAME_TOKEN_AUTH

    static final org.eclipse.emf.ecore.EClass WS_USERNAME_TOKEN_AUTH

  The meta object literal for the '`WS Username Token Auth`' class.

  See Also:
    `WSUsernameTokenAuthImpl`, `ServicedefPackageImpl.getWSUsernameTokenAuth()`

### WS_SIGNATURE

    static final org.eclipse.emf.ecore.EClass WS_SIGNATURE

  The meta object literal for the '`WS Signature`' class.

  See Also:
    `WSSignatureImpl`, `ServicedefPackageImpl.getWSSignature()`

### WS_TIMESTAMP

    static final org.eclipse.emf.ecore.EClass WS_TIMESTAMP

  The meta object literal for the '`WS Timestamp`' class.

  See Also:
    `WSTimestampImpl`, `ServicedefPackageImpl.getWSTimestamp()`

### WS_ENCRYPT

    static final org.eclipse.emf.ecore.EClass WS_ENCRYPT

  The meta object literal for the '`WS Encrypt`' class.

  See Also:
    `WSEncryptImpl`, `ServicedefPackageImpl.getWSEncrypt()`

### WS_ENDPOINT_CHANNEL

    static final org.eclipse.emf.ecore.EClass WS_ENDPOINT_CHANNEL

  The meta object literal for the '`WS Endpoint Channel`' class.

  See Also:
    `WSEndpointChannelImpl`, `ServicedefPackageImpl.getWSEndpointChannel()`

### WS_ENDPOINT_CHANNEL__WS_SECURITY

    static final org.eclipse.emf.ecore.EReference WS_ENDPOINT_CHANNEL__WS_SECURITY

  The meta object literal for the 'Ws Security' containment reference list feature.

### CHANNEL_SECURITY_LEVEL_ENUM

    static final org.eclipse.emf.ecore.EEnum CHANNEL_SECURITY_LEVEL_ENUM

  The meta object literal for the '`Channel Security Level Enum`' enum.

  See Also:
    `ChannelSecurityLevelEnum`, `ServicedefPackageImpl.getChannelSecurityLevelEnum()`

### OP_TYPE_ENUM

    static final org.eclipse.emf.ecore.EEnum OP_TYPE_ENUM

  The meta object literal for the '`Op Type Enum`' enum.

  See Also:
    `OpTypeEnum`, `ServicedefPackageImpl.getOpTypeEnum()`

### TX_TYPE_ENUM

    static final org.eclipse.emf.ecore.EEnum TX_TYPE_ENUM

  The meta object literal for the '`TX Type Enum`' enum.

  See Also:
    `TXTypeEnum`, `ServicedefPackageImpl.getTXTypeEnum()`

### SRV_TYPE_ENUM

    static final org.eclipse.emf.ecore.EEnum SRV_TYPE_ENUM

  The meta object literal for the '`Srv Type Enum`' enum.

  See Also:
    `SrvTypeEnum`, `ServicedefPackageImpl.getSrvTypeEnum()`

### AUTH_LEVEL_ENUM

    static final org.eclipse.emf.ecore.EEnum AUTH_LEVEL_ENUM

  The meta object literal for the '`Auth Level Enum`' enum.

  See Also:
    `AuthLevelEnum`, `ServicedefPackageImpl.getAuthLevelEnum()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD